Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class TaskListenerInfo

    java.lang.Object
      com.bea.wli.worklist.api.TaskListenerInfo

All Implemented Interfaces:
  Serializable, Cloneable

Deprecated.

    public class TaskListenerInfo

extends Object
implements Serializable, Cloneable

Information about a client that is listening to a given task. TODO: Should this be public for 9.2?

See Also:
  Serialized Form

Constructor Summary
`TaskListenerInfo()` Deprecated.

Method Summary
`TaskEvent.Type` | `getEvent()` Deprecated.
`String` | `getListenerHandleValue()` Deprecated.
`String` | `getListenerId()` Deprecated.
`String` | `getMethod()` Deprecated.
`String` | `getTaskId()` Deprecated.
`Listener.Type` | `getType()` Deprecated.
`void` | `setEvent(TaskEvent.Type event)` Deprecated.
`void` | `setListenerHandleValue(String listenerHandleValue)` Deprecated.
`void` | `setListenerId(String listenerId)` Deprecated.
`void` | `setMethod(String method)` Deprecated.
`void` | `setTaskId(String taskId)` Deprecated.
`void` | `setType(Listener.Type type)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskListenerInfo

    public TaskListenerInfo()

  Deprecated.

Method Detail

### getListenerId

    public String getListenerId()

  Deprecated.

### setListenerId

    public void setListenerId(String listenerId)

  Deprecated.

### getTaskId

    public String getTaskId()

  Deprecated.

### setTaskId

    public void setTaskId(String taskId)

  Deprecated.

### getType

    public Listener.Type getType()

  Deprecated.

### setType

    public void setType(Listener.Type type)

  Deprecated.

### getEvent

    public TaskEvent.Type getEvent()

  Deprecated.

### setEvent

    public void setEvent(TaskEvent.Type event)

  Deprecated.

### getMethod

    public String getMethod()

  Deprecated.

### setMethod

    public void setMethod(String method)

  Deprecated.

### getListenerHandleValue

    public String getListenerHandleValue()

  Deprecated.

### setListenerHandleValue

    public void setListenerHandleValue(String listenerHandleValue)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD